---
sidebar_label: JSCoverageEntry
---

# JSCoverageEntry interface

The CoverageEntry class for JavaScript

**Signature:**

```typescript
export interface JSCoverageEntry extends CoverageEntry
```

**Extends:** [CoverageEntry](./puppeteer.coverageentry.md)

## Properties

| Property                                                               | Modifiers | Type                             | Description                                     |
| ---------------------------------------------------------------------- | --------- | -------------------------------- | ----------------------------------------------- |
| [rawScriptCoverage?](./puppeteer.jscoverageentry.rawscriptcoverage.md) |           | Protocol.Profiler.ScriptCoverage | <i>(Optional)</i> Raw V8 script coverage entry. |
